/*
Theme Name:     Divi Child
Theme URI:      http://www.elegantthemes.com
Description:    Divi Child
Template:       Divi
Version:        1.0.0
Projekt:		Hair & Soul
Webdesign:		1407DESIGN
*/

/**
 * Global Colors
 */
:root {
	--mauve: #c69cac;
	--lightmauve: #d4b4c0;
	--white: #ffffff;
	--red: #cc1216;
	--black: #000;
	--font: 'Josefin Sans', Arial, sans-serif;
}

/**
 * Word Wrap
 */
body {
	hyphens: none;
	white-space: word-wrap;
}

.et_pb_text {
	word-wrap: normal;
}

.et_pb_scroll_top.et-pb-icon {
	background: var(--mauve);
	text-decoration: none;
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
}

/**
 * Accordeon Toggle
 */
.et_pb_toggle_title::before {
	content: "\33" !important;
	transition: all .3s ease-in-out;
	color: var(--white);
	font-size: 40px!important;
}

.et_pb_toggle_open .et_pb_toggle_title::before {
	content: "\33" !important;
	transform: rotate(180deg);
	display: block !important;
	color: var(--white);
	font-size: 40px!important;
}
  
  .et_pb_toggle .et_pb_toggle_title, .et_pb_toggle h5.et_pb_toggle_title {
  padding: 0;
}

/**
 * CF7 Styles
  */
.wpcf7-not-valid-tip {
	color: var(--red);
	font-weight: normal;
	display: block;
	font-family: var(--font);
	font-size: 11px;
	text-transform: uppercase;
	font-weight: 600;
	letter-spacing: 1px;
}

.form-section {
	margin-bottom: 0;
	padding: 0;
}

.form-row {
	width: 100%;
	display: flex;
	flex-direction: row;
	gap: 2%;
	margin-bottom: 1.5rem;
}

.form-column {
	width: 50%;
}

.form-column-full-width {
	width: 100%;
}

.form-end a {
	color: var(--red);
}

.form-section label {
	color: var(--white);
	font-family: var(--font);
	font-size: 18px;
	display: block;
	margin: 0 0 .5rem 0;
	padding: 0;
	font-weight: 500;
	text-transform: uppercase;
}

.form-section br {
	display: none;
}

.form-section .datenschutz label {
	text-transform: none !important;
}

.datenschutz a {
	color: var(--white);
	text-decoration: underline;
}

.wpcf7-form input[type=text],
.wpcf7-form input[type=tel],
.wpcf7-form input[type=email],
.wpcf7-form input[type=date],
.wpcf7-form input[type=number],
.wpcf7-form select,
.wpcf7-form textarea {
	border-radius: 0 !important;
	overflow: hidden !important;
	border-width: 0 !important;
	font-weight: normal;
	font-size: 16px;
	-webkit-appearance: none;
	background-color: #fff;
	width: 100%;
	border-width: 0;
	border-radius: 0;
	color: var(--black) !important;
	padding: 16px !important;
	box-shadow: none;
	font-family: var(--font);
	padding-bottom: 0;
}

.wpcf7-form input:focus,
.wpcf7-form select:focus,
.wpcf7-form textarea:focus,
.wpcf7-form .wpcf7-form-control:focus {
	background: rgba(255, 255, 255, .8);
}

.wpcf7-submit {
	background: var(--lightmauve) !important;
	color: var(--white) !important;
	width: 150px;
	border: 0 !important;
	box-shadow: none;
	border-radius: 15px !important;
	padding: 1rem 1rem !important;
	cursor: pointer !important;
	text-align: center !important;
	margin: 0 auto 0 auto !important;
	display: block;
	font-family: var(--font);
	font-weight: 500 !important;
	font-size: 22px !important;
	text-transform: uppercase;
}

.wpcf7 .wpcf7-submit:disabled {
	cursor: not-allowed !important;
	opacity: .7;
}

.wpcf7-spinner {
	display: none;
}

.wpcf7 form .wpcf7-response-output {
	padding: 1rem;
	text-align: center;
	color: var(--black);
	font-size: 18px;
	font-family: var(--font);
}

.wpcf7 form.sent .wpcf7-response-output {
	font-weight: normal;
	font-size: 20px;
	padding: 1rem;
	text-align: center;
	color: var(--black);
	font-weight: 500;
	font-family: var(--font);
	border-radius: 15px;
	background: var(--white);
}

.et-pb-contact-message p {
	line-height: 1.8rem;
	font-weight: 300;
	font-size: 18px;
	line-height: 1.8rem;
	text-align: center;
	color: var(--black);
}

input[type="checkbox"]:checked {
	accent-color: var(--black);
}

.wpcf7-select {
	appearance: none;
	background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23333333%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E');
	background-repeat: no-repeat;
	background-position: right 15px top 50%;
	background-size: 12px auto;
	padding-right: 40px !important;
}


/* TOP BAR */
.top-bar .et_pb_column {
	display: flex;
	flex-direction: row;
	align-content: center;
	justify-content: center;
}

.top-bar .et_pb_module {
	margin: 0 1rem 0 1rem !important;
}

.top-bar .et_pb_module.et_pb_icon {
	margin: 0 0 0 .5rem !important;
}

.top-bar .et_pb_module .et_pb_blurb_container {
	padding-left: 0;
}

.top-bar .et_pb_module .et_pb_image_wrap {
	text-align: center;
}

.top-bar.et_pb_sticky .header-info {
	display: none;
}

.et_pb_menu .et-menu > li {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

.et-db #et-boc .et-l .et_pb_menu_0_tb_header.et_pb_menu ul li a:hover {
  opacity: 1;
  color:var(--mauve)!important;
  transition:ease-in-out 500ms all;
}


@media (max-width: 980px) {
	.et_pb_menu .et_mobile_menu {
		padding: 1rem;
	}

	.et_mobile_menu li a {
		border-bottom: 0;
		color: var(--black);
		padding: 10px 0;
		display: block;
	}

	.et_mobile_menu li a:hover {
		background-color: transparent;
		opacity: 1;
		color: var(--mauve);
	}

	.form-row {
		width: 100%;
		display: flex;
		flex-direction: column;
		gap: 2%;
		margin-bottom: 1.5rem;
	}

	.form-column {
		width: 100%;
	}

	.form-column-full-width {
		width: 100%;
	}
}

@media (max-width: 768px) {
.top-bar .et_pb_column {
	flex-direction: column;
}
}


